ProyectoCrm/src/app/Modulos/ColorModulo/Paginas/fw-color/fw-color.page.html

<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
  <div class="btn-toolbar mb-2 mb-md-0">
    <div class="btn-group mr-2">
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==false, 'btn-outline-secondary':tNuevo==true}"><i class="fas fa-edit"></i></button>
      <button class="btn" type="button" [ngClass]="{'btn-secondary':tNuevo==true, 'btn-outline-secondary':tNuevo==false}" (click)="Nuevo()"><i class="fas fa-plus"></i></button>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-12 col-lg-6">
    <div class="card shadow">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h6 class="card-title">Lista de colores</h6>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="form-row">
          <div class="form-group col-4">
            <select class="custom-select custom-select-sm" [(ngModel)]="tFiltroActual">
              <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
            </select>
          </div>
          <div class="form-group col-8">
            <input class="form-control form-control-sm" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="table-responsive-lg" style="overflow:scroll">
              <table class="table table-sm table-striped table-hover">
                <thead>
                  <tr>
                    <th></th>
                    <th>
                      <h6 class="font-weight-bold">Color</h6>
                    </th>
                    <th>
                      <h6 class="font-weight-bold">Descripción</h6>
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let tColorFor of tColores | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index">
                    <th class="text-nowrap">
                      <button class="btn btn-sm btn-danger mr-1" type="button" [disabled]="!tPermisoEliminar" (click)="Seleccionar_Color_Eliminar(tColorFor)"><i class="fas fa-trash-alt"></i></button>
                      <button class="btn btn-sm btn-warning ml-1" type="button" (click)="Seleccionar_Color(tColorFor, jv)"><i class="fas fa-edit text-white"></i></button>
                    </th>
                    <td>
                      <h6 class="text-xs">{{ tColorFor.Codcolor }}</h6>
                    </td>
                    <td>
                      <h6 class="text-xs text-nowrap">{{ tColorFor.Descripcion }}</h6>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <div class="form">
          <div class="col-12">
            <ngb-pagination class="d-flex justify-content-center" [boundaryLinks]="true" [maxSize]="3" [rotate]="true" [collectionSize]="tColores.length" [(page)]="tPagina" [pageSize]="tTamanoPag"></ngb-pagination>
          </div>
        </div>
      </div>
      <div class="card-footer text-right">
        <div class="row">
          <div class="col-2 text-right font-weight-bold">
            <label class="h6 form-label align-middle">Cantidad:</label>
          </div>
          <div class="col-2 text-right font-weight-bold">
            <label class="h6 form-label align-middle">{{ tColores.length }}</label>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-12 col-lg-6">
    <div class="card shadow">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h6 class="card-title">Detalles de colores</h6>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="row">
          <div class="col-12">
            <app-fw-color-cabecera [(Color)]="tColorActual"></app-fw-color-cabecera>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <div class="form-row">
              <div class="form-group col-12">
                <ul class="nav nav-tabs" role="tablist">
                  <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Informacion" role="tab" aria-controls="Informacion" aria-selected="true">Información</a></li>
                </ul>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <div class="tab-content" id="mvDatos">
                  <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Informacion-tab" id="Informacion">
                    <div class="Barra">
                      <div class="Barra--Contenedor">
                        <ul class="Barra--Contenedor-Navegacion">
                          <li class="nav-item"><a class="nav-link" href="#" (click)="PorImagen()" [ngClass]="{'disabled' : tCargaPorImg===true}"><span class="fas fa-image mr-2"></span><span>Por Imagen</span></a></li>
                          <li class="nav-item"><a class="nav-link" href="#" (click)="PorPaleta()" [ngClass]="{'disabled' : tCargaPorImg===false}"><span class="fas fa-swatchbook mr-2"></span><span>Por Paleta</span></a></li>
                        </ul>
                      </div>
                    </div>
                    <app-fw-color-imagen *ngIf="tCargaPorImg" (AgregarColor)="AgregarHexadecimal($event)"></app-fw-color-imagen>
                    <app-fw-color-paleta *ngIf="!tCargaPorImg" (AgregarColor)="AgregarHexadecimal($event)"></app-fw-color-paleta>
                    <app-fw-color-hexadecimales [(Hexadecimales)]="tColorActual.LHexadecimales" (EliminarColor)="EliminarHexadecimal($event)"></app-fw-color-hexadecimales>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="card-footer">
        <div class="row">
          <div class="col-12 col-lg-4 offset-lg-4">
            <button class="btn btn-secondary btn-icon-split" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cancelar</span></button>
          </div>
          <div class="col-12 col-lg-4">
            <button class="btn btn-primary btn-icon-split" type="button" (click)="Agregar()" [disabled]="!tHabilitarGuardar"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/ColorModulo/Paginas/fw-color/fw-color.page.pug
extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de colores"
    - var CabeceraListado = ["Color", "Descripción"]
    - var CantidadListado = "{{ tColores.length }}"
    - var TituloDatos = "Detalles de colores"
    - var TamanoColeccion = "tColores.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tColorFor of tColores | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Color_Eliminar(tColorFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Color(tColorFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs {{ tColorFor.Codcolor }}
        td
            h6.text-xs.text-nowrap {{ tColorFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-color-cabecera([(Color)]="tColorActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          div.Barra
            div.Barra--Contenedor
              ul.Barra--Contenedor-Navegacion
                li.nav-item
                  a(href="#", (click)="PorImagen()", [ngClass]="{'disabled' : tCargaPorImg===true}").nav-link
                    span.fas.fa-image.mr-2
                    span Por Imagen
                li.nav-item
                  a(href="#", (click)="PorPaleta()", [ngClass]="{'disabled' : tCargaPorImg===false}").nav-link
                    span.fas.fa-swatchbook.mr-2
                    span Por Paleta
          app-fw-color-imagen(*ngIf="tCargaPorImg",
                              (AgregarColor)="AgregarHexadecimal($event)")
          app-fw-color-paleta(*ngIf="!tCargaPorImg",
                              (AgregarColor)="AgregarHexadecimal($event)")
          app-fw-color-hexadecimales([(Hexadecimales)]="tColorActual.LHexadecimales",
                                    (EliminarColor)="EliminarHexadecimal($event)")
